@import "src/stylesheets/modules/colors";

.button, button, input[type="submit"],
input[type="reset"], input[type="button"] {
    display: inline-block;
    cursor: pointer;
    background-color: $color-main;
    color: white;
    line-height: 3rem;
    padding: 0 1rem;
    border-radius: 0.25rem;
    font: {
        weight: 500;
    }
    text: {
        transform: uppercase;
        decoration: none;
        align: center;
    }

    &:hover {
        box-shadow: 0 0.0625rem 0.5rem rgba(0,0,0,0.1);
    }
    
    &.disabled {
        background-color: lighten(desaturate($color-main, 20%), 10%);
        pointer-events: none;
    }
}
